# DataScience_Interactive_Python
Python interactive dashboards for learning data science

<p>
    <img src="https://github.com/GeostatsGuy/GeostatsPy/blob/master/TCG_color_logo.png" width="220" height="200" />
</p>

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/GeostatsGuy/DataScience_Interactive_Python/HEAD)

### Michael Pyrcz, Professor, The University of Texas at Austin 
#### [Twitter](https://twitter.com/geostatsguy) | [GitHub](https://github.com/GeostatsGuy) | [Website](http://michaelpyrcz.com) | [GoogleScholar](https://scholar.google.com/citations?user=QVZ20eQAAAAJ&hl=en&oi=ao) | [Book](https://www.amazon.com/Geostatistical-Reservoir-Modeling-Michael-Pyrcz/dp/0199731446) | [YouTube](https://www.youtube.com/channel/UCLqEr-xV-ceHdXXXrTId5ig)  | [LinkedIn](https://www.linkedin.com/in/michael-pyrcz-61a648a1)

To support my students, I'm using [Binder](https://mybinder.readthedocs.io/en/latest/index.html) to host some of my **interactive Python spatial data analytics, geostatistics and machine learning demonstration workflows** online. Some of my students are having issues with setting up their local computing environments and instantiating the interactive workflows. 

* I hope this will assist these students and remove barriers for these educational tools to invite a wider audience that may benefit from experiential learning - playing with the systems and machines in real-time. 

Click on the link above to launch binder with container to run the included workflow.

A minimum environment is set set up with:

* Python 3.7.10 - due to the depdendency of GeostatsPy on the Numba package for code acceleration
* MatPlotLib - plotting
* NumPy - gridded data and array math
* Pandas - tabulated data
* SciPy - statistics module
* ipywidgets - for plot interactivity
* [GeostatsPy](https://pypi.org/project/geostatspy/) - geostatistical algorithms and functions (Pyrcz et al., 2021)

The required datasets are available in the [GeoDataSets](https://github.com/GeostatsGuy/GeoDataSets) repository and linked in the workflows

The interative Python examples include a variety of topics like:

* Bayesian statistics
* variogram calculation and modeling
* spatial estimation
* spatial simulation

If you want to see all my shared educational content check out:
* [**Resources Inventory**](https://github.com/GeostatsGuy/Resources)
* [**GeostatsGuy Lectures**](www.youtube.com/GeostatsGuyLectures)

I hope this is hlepful to many interested to learn about spatial data analytics, geostatistics and machine learning. I'm all about remoing barriers to education and encouraging folks to learn coding and data-driven modeling! 

Sincerely,

Michael
